
QGIS Application - Bug report #487

Zero width/height when adding WMS layer to projected project

2006-12-27 02:50 AM - maris-gis-gmail-com -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10546

Description

Start QGIS and add some projected vector layer;[[br]]

Enable on the fly projection; [[br]]

Add layer from NASA (JPL) WMS server with CRS = WGS84; [[br]]

Resulting error message below:

Could not draw NASA (JPL) because:

(Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported: 

    Output Width and Height must both be positive

This is probably due to a bug in the QGIS program.  Please report this error.

Tried URL:

http://wms.jpl.nasa.gov/wms.cgi?SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&BBOX=20.475803,55.118563,28.796298,58.543158&SRS=EPSG:4326&WIDTH=0&HEIGHT=0&LAYERS=daily_aqua&STYLES=&FORMAT=image/jpeg&TRANSPARENT=TRUE


298,58.543158&SRS=EPSG:4326&WIDTH=0&HEIGHT=0&LAYERS=daily_aqua&STYLES=&FORMAT=image/jpeg&TRANSPARENT=TRUE


ARENT=TRUE

History

#1 - 2006-12-28 01:09 PM - Martin Dobias

This can be reproduced without an additional layer. Just open QGIS, add WMS layer, then enable projections and choose a different projection. There

seems to be a problem in calculating necessary width/height, however I'm not familiar with the calculations.

#2 - 2006-12-29 12:33 PM - Gary Sherman

Moved to 0.8.1

#3 - 2007-01-01 11:16 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

This seems to be fixed now (works for me), possibly as a result of fixing ticket #474. If not, please reopen.
#4 - 2007-02-25 06:41 PM - Tim Sutton

Changed version to 0.8.0 since version 0.8.1 is not released yet...

#5 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
